Jump to content
Invision Board France
Sign in to follow this  
thewiseoldman

Sortie d'IPB 1.3.1

Recommended Posts

thewiseoldman

IPS vient de sortir une version 1.3.1 d'IPB, elle ne comporte rien de plus si ce n'est les derniers correctifs.

 

Si vous voulez vous assurer d'être à jour téléchargez IPB 1.3.1 et uploadez sur votre serveur les fichiers suivants :

 

- admin.php

- index.php

- sources/calendar.php

- sources/Online.php

- sources/Search.php

 

Si vous aviez suivi l'actualité des derniers correctifs votre forum est normalement déjà à jour, mais dans le doute mieux vaut prévenir que guérir.

 

Télécharger IPB 1.3.1

Share this post


Link to post
Share on other sites
Equipe IBF

Vous avez des Mods ?

 

Simple >>

 

Ouvrir admin.php et trouvez >>

var $acpversion = '13005';

Remplacez par >>

var $acpversion = '13007';

Ouvrir index.php et trouvez >>

var $version    = "v1.3 Final";

Remplacer par >>

var $version    = "v1.3.1 Final";

Trouvez ceci >>

require ROOT_PATH."conf_global.php";

Ajoutez au-dessus >>

$INFO = array();

Trouvez ceci >>

if ($ibforums->input['act'] != 'Login' and $ibforums->input['act'] != 'Reg' and $ibforums->input['act'] != 'Attach')

Remplacez par ceci >>

if ($ibforums->input['act'] != 'Login' and $ibforums->input['act'] != 'Reg' and $ibforums->input['act'] != 'Attach' and $ibforums->input['module'] != 'subscription')

Ouvrir calendar.php et trouvez >>

$this->chosen_month = ( ! intval($ibforums->input['m']) ) ? $this->now_date['mon']  : $ibforums->input['m'];
       $this->chosen_year  = ( ! intval($ibforums->input['y']) ) ? $this->now_date['year'] : $ibforums->input['y'];

Si vous ne trouvez pas ses lignes. C'est parce que vous avez déjà installé une ancienne patch. -- Alors, passez à l'autre étape.

Sinon, remplacez par ceci >>

       $this->chosen_month = ( ! intval($ibforums->input['m']) ) ? $this->now_date['mon']  : intval($ibforums->input['m']);
       $this->chosen_year  = ( ! intval($ibforums->input['y']) ) ? $this->now_date['year'] : intval($ibforums->input['y']);

Ouvrir Online.php et trouvez ceci >>

// Are we allowed to see the online list?

Ajoutez en dessous >>

  	 
  	 $ibforums->input['st'] = intval($ibforums->input['st']);

Ouvrir Search.php et trouvez >>

if (isset($ibforums->input['st']) )

Remplacez par ceci >>

  	 $ibforums->input['st'] = intval($ibforums->input['st']);
  	 
  	 if ( $ibforums->input['st'] )

Si vous ne trouvez pas ses lignes. C'est parce que vous avez déjà installé une ancienne patch. -- Alors, passez à l'autre étape.

 

Étape finale >> Envoyez toutes vos fichiers sur votre serveur...

 

Voilà ... ^_^

Share this post


Link to post
Share on other sites
Equipe IBF

Un petit oublie de ma part... ^_^ Merci à Gaaaz pour la précision par MP >>

 

Dans le fichier admin.php il y a aussi ceci à changer, car il n'est pas à jour dans la version à DL !

 

Ouvrir admin.php et trouvez ceci >>

var $version    = '1.3';

Remplacer par ceci >>

var $version    = '1.3.1';

Voilà... :lol:

Edited by Darken

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.
Sign in to follow this  

×
×
  • Create New...

Important Information

By using this site, you agree to our Terms of Use. We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue.